################
#  Descriptor  #
################

Descriptor Contenance {
      ClassSymbol               : CONTENANCE
      ClassName                 : contenance
      ClassComment              : un nombre maximum d'elements d'un conteneur
      SubClass                  : CONSTANT
      Type                      : INT
      AddSubDomain              : [ 0 ; 32767 ]
}
#==============================================
Descriptor ConvoyeurGenerateur {
      ClassSymbol               : CONVOYEUR_GENERATEUR
      ClassName                 : convoyeurGenerateur
      ClassComment              : pointeur sur le generateur de brique composant du convoyeur
      SubClass                  : CONSTANT
      Type                      : P_ENTITY
      SetDefaultValue           : GENERATEUR_DE_BRIQUES
      AddSubDomain              : GENERATEUR_DE_BRIQUES
}
#==============================================
Descriptor ConvoyeurLongueur {
      ClassSymbol               : CONVOYEUR_LONGUEUR
      ClassName                 : convoyeurLongueur
      ClassComment              : nombre maximal de lots de briques alignes sur le convoyeur
      SubClass                  : CONSTANT
      Type                      : INT
      SetDefaultValue           : 10
}
#==============================================
Descriptor ConvoyeurPlateforme {
      ClassSymbol               : CONVOYEUR_PLATEFORME
      ClassName                 : convoyeurPlateforme
      ClassComment              : les positions du convoyeur sont les elements d'un tableau d'entites
      SubClass                  : CONSTANT
      Type                      : ENTITY_TAB
      AddSubDomain              : ELEMENT_DE_CONVOYEUR
}
#==============================================
Descriptor Debit {
      ClassSymbol               : DEBIT
      ClassName                 : debit
      ClassUnity                : litres/minute
      SubClass                  : CONSTANT
      Type                      : FLOAT
      DescValueSpec             : DebitDomaine
}
#==============================================
Descriptor DerniereProbaAugmentee {
      ClassSymbol               : DERNIERE_PROBA_AUGMENTEE
      ClassName                 : derniereProbaAugmentee
      ClassComment              : 0 si on a touch� probaPetite ; 1 si on a touch� probaPetite ; -1 � l'init.
      SubClass                  : CONSTANT
      Type                      : INT
}
#==============================================
Descriptor EntreeDisponible {
      ClassSymbol               : ENTREE_DISPONIBLE
      ClassName                 : entreeDisponible
      ClassComment              : quantite disponible en entree de cuve, introduite seulement si robinet alim ouvert
      ClassUnity                : litre
      SubClass                  : CONSTANT
      Type                      : FLOAT
}
#==============================================
Descriptor EtatOuverture {
      ClassSymbol               : ETAT_OUVERTURE
      ClassName                 : etatOuverture
      ClassComment              : OUVERT=0 ou FERME=1 (enumeration)
      SubClass                  : VARIABLE
      Type                      : INT
      SetDefaultValue           : FERME
      AddSubDomain              : [ 0 ; 1 ]
}
#==============================================
Descriptor PositionsBriquesAPaqueter {
      ClassSymbol               : POSITIONS_BRIQUES_A_PAQUETER
      ClassName                 : positionsBriquesAPaqueter
      ClassComment              : FloatTab en attendant IntTab !
      SubClass                  : CONSTANT
      Type                      : FLOAT_TAB
}
#==============================================
Descriptor PretAPaqueter {
      ClassSymbol               : PRET_A_PAQUETER
      ClassName                 : pretAPaqueter
      ClassComment              : 1 si l'ouvrier a consate qu'un pack peut etre cree, 0 sinon
      SubClass                  : CONSTANT
      Type                      : INT
}
#==============================================
Descriptor ProbaPetiteBrique {
      ClassSymbol               : PROBA_PETITE_BRIQUE
      ClassName                 : probaPetiteBrique
      ClassComment              : lors de la generation d'une brique, probalilite qu'elle soit petite
      SubClass                  : CONSTANT
      Type                      : FLOAT
      SetDefaultValue           : 0.5
      SetToDefaultValue         : TRUE
      AddSubDomain              : [ 0. ; 1. ]
}
#==============================================
Descriptor ProductionMaxi {
      ClassSymbol               : PRODUCTION_MAXI
      ClassName                 : productionMaxi
      ClassComment              : le total de litres emmagasines dans la loge des maxi briques
      ClassUnity                : litres
      SubClass                  : VARIABLE
      Type                      : FLOAT
}
#==============================================
Descriptor ProductionMini {
      ClassSymbol               : PRODUCTION_MINI
      ClassName                 : productionMini
      ClassComment              : le total de litres emmagasines dans la loge des mini briques
      ClassUnity                : litres
      SubClass                  : VARIABLE
      Type                      : FLOAT
}
#==============================================
Descriptor Volume {
      ClassSymbol               : VOLUME
      ClassName                 : volume
      ClassUnity                : litre
      SubClass                  : CONSTANT
      Type                      : FLOAT
      SetDefaultValue           : 0.
      SetToDefaultValue         : TRUE
      AddSubDomain              : [ 0.001 ; 1000. ]
}
#==============================================
Descriptor VolumeContenu {
      ClassSymbol               : VOLUME_CONTENU
      ClassName                 : volumeContenu
      ClassComment              : volume du contenu
      ClassUnity                : litre
      SubClass                  : VARIABLE
      Type                      : FLOAT
      SetDefaultValue           : 0.
      SetToDefaultValue         : TRUE
}
#==============================================
Descriptor VolumeMaxiContenu {
      ClassSymbol               : VOLUME_MAXI_CONTENU
      ClassName                 : volumeMaxiContenu
      ClassComment              : seuil superieur pour le volume du contenu
      SubClass                  : CONSTANT
      Type                      : FLOAT
}
#==============================================
Descriptor VolumeMiniContenu {
      ClassSymbol               : VOLUME_MINI_CONTENU
      ClassName                 : volumeMiniContenu
      ClassComment              : seuil inferieur pour le volume du contenu
      ClassUnity                : litre
      SubClass                  : CONSTANT
      Type                      : FLOAT
}
#==============================================

