############
#  Entity  #
############

Entity AtelierRemplissage {
      ClassSymbol               : ATELIER_REMPLISSAGE
      ClassName                 : "atelierRemplissage"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : BD_ENTITY
      AddComponentClassId       : CUVE
      AddComponentClassId       : RESERVE_CUBIS
      AddComponentClassId       : CONVOYEUR
      AddComponentClassId       : MAGASIN_EXPEDITION
      AddComponentClassId       : REBUT

}
#==============================================
Entity Brique {
      ClassSymbol               : BRIQUE
      ClassName                 : "brique"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : ELEMENT_DE_CONVOYEUR

      AddConstantDescriptor     : Volume   --- 
      AddVariableDescriptor     : VolumeContenu   --- 
      AddVariableDescriptor     : EtatOuverture   --- 
}
#==============================================
Entity Convoyeur {
      ClassSymbol               : CONVOYEUR
      ClassName                 : "convoyeur"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : BD_ENTITY

      AddConstantDescriptor     : ConvoyeurLongueur   --- 
      AddConstantDescriptor     : ConvoyeurGenerateur   --- 
      AddConstantDescriptor     : ConvoyeurPlateforme   --- 
      AddConstantDescriptor     : PositionsBriquesAPaqueter   --- 
      AddMethod                 : InitialisationConvoyeur
      AddMethod                 : AlimentationConvoyeur
      AddMethod                 : TassementConvoyeur
}
#==============================================
Entity Cubitainer {
      ClassSymbol               : CUBITAINER
      ClassName                 : "cubitainer"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : BD_ENTITY

      AddConstantDescriptor     : Volume   --- 
}
#==============================================
Entity Cuve {
      ClassSymbol               : CUVE
      ClassName                 : "cuve"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : BD_ENTITY
      SetMonitorToDescriptor    : VolumeContenu 	VolumeContenuCuveMonitor
      AddComponentClassId       : ROBINET_ALIM
      AddComponentClassId       : ROBINET_VIDANGE

      AddConstantDescriptor     : Volume   --- 
      AddConstantDescriptor     : VolumeMiniContenu   --- 
      AddConstantDescriptor     : VolumeMaxiContenu   --- 
      AddConstantDescriptor     : EntreeDisponible   --- 
      AddVariableDescriptor     : VolumeContenu   --- 
}
#==============================================
Entity ElementDeConvoyeur {
      ClassSymbol               : ELEMENT_DE_CONVOYEUR
      ClassName                 : "elementDeConvoyeur"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : BD_ENTITY

}
#==============================================
Entity GenerateurDeBriques {
      ClassSymbol               : GENERATEUR_DE_BRIQUES
      ClassName                 : "generateurDeBriques"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : BD_ENTITY

      AddConstantDescriptor     : ProbaPetiteBrique   --- 
}
#==============================================
Entity Loge {
      ClassSymbol               : LOGE
      ClassName                 : "loge"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : BD_ENTITY
      ElementClassId            : ELEMENT_DE_CONVOYEUR

      AddConstantDescriptor     : Contenance   --- 
}
#==============================================
Entity LogeRebut {
      ClassSymbol               : LOGE_REBUT
      ClassName                 : "logeRebut"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : LOGE
      SetStructureMonitor       : LogeRebutMonitor

}
#==============================================
Entity Magasin {
      ClassSymbol               : MAGASIN
      ClassName                 : "magasin"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : BD_ENTITY
      ElementClassId            : LOGE

}
#==============================================
Entity MagasinExpedition {
      ClassSymbol               : MAGASIN_EXPEDITION
      ClassName                 : "magasinExpedition"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : MAGASIN

      AddVariableDescriptor     : ProductionMini   --- 
      AddVariableDescriptor     : ProductionMaxi   --- 
}
#==============================================
Entity MaxiBrique {
      ClassSymbol               : MAXI_BRIQUE
      ClassName                 : "maxiBrique"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : BRIQUE

}
#==============================================
Entity MiniBrique {
      ClassSymbol               : MINI_BRIQUE
      ClassName                 : "miniBrique"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : BRIQUE

}
#==============================================
Entity Pack {
      ClassSymbol               : PACK
      ClassName                 : "pack"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : ELEMENT_DE_CONVOYEUR
      ElementClassId            : BRIQUE
      SetMonitorToDescriptor    : VolumeContenu 	VolumeContenuPackMonitor

      AddVariableDescriptor     : VolumeContenu   --- 
}
#==============================================
Entity PositionVide {
      ClassSymbol               : POSITION_VIDE
      ClassName                 : "positionVide"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : ELEMENT_DE_CONVOYEUR

}
#==============================================
Entity Rebut {
      ClassSymbol               : REBUT
      ClassName                 : "rebut"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : MAGASIN
      ElementClassId            : LOGE_REBUT

      AddConstantDescriptor     : DerniereProbaAugmentee   -1 
}
#==============================================
Entity ReserveCubis {
      ClassSymbol               : RESERVE_CUBIS
      ClassName                 : "reserveCubis"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : BD_ENTITY
      ElementClassId            : CUBITAINER

}
#==============================================
Entity Robinet {
      ClassSymbol               : ROBINET
      ClassName                 : "robinet"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : BD_ENTITY

      AddConstantDescriptor     : Debit   --- 
      AddVariableDescriptor     : EtatOuverture   --- 
}
#==============================================
Entity RobinetAlim {
      ClassSymbol               : ROBINET_ALIM
      ClassName                 : "robinetAlim"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : ROBINET

}
#==============================================
Entity RobinetVidange {
      ClassSymbol               : ROBINET_VIDANGE
      ClassName                 : "robinetVidange"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : ROBINET

}
#==============================================
Entity Usine {
      ClassSymbol               : USINE
      ClassName                 : "usine"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : BD_ENTITY
      ElementClassId            : ATELIER_REMPLISSAGE

}
#==============================================

