void alimentationAutomatiqueProcess_goOneStepForwardProcess_Body(ProcessMethod* pM)
//---------------------------------------------
// augmentation niveau cuve en un pas
//---------------------------------------------
{
  ContinuousProcess* pCP = pM->DescribedContinuousProcess();
  Cuve* pCuve = (Cuve*)pCP->ProcessedEntity();
  int clock = pCurrentSim->Clock();
  Date date = ClockToDate(clock);

  float contenance = pCuve->GetFloatConstValue(VOLUME);
  float volumeCourant = pCuve->GetFloatVarValue(VOLUME_CONTENU);
  float entreeDispo = pCuve->GetFloatConstValue(ENTREE_DISPONIBLE);
  if(gMyTrace) {
    if(date.minute < 10)
      printf("\n\t%dh0%d'", date.hour, date.minute);
    else
      printf("\n\t%dh%d'", date.hour, date.minute);
    printf(" niveau avant = %5.2f", volumeCourant);
    printf("  dispo = %5.2f", entreeDispo);
  }
    
  Robinet* pRobinet = (Robinet*)pCuve->GetComponent(ROBINET_ALIM);
  float debitAlim = pRobinet->GetFloatConstValue(DEBIT);
  
  float transfertMaxEnUnPas = debitAlim * pCP->Pas();
  if(gMyVerif) printf("\n\ttransfertMaxEnUnPas = %5.2f", transfertMaxEnUnPas);
  //
  // on transfere au plus ce que permet le debit
  //              ou moins si entree insuffisante ou debordement
  //
  float entreePotentielle = transfertMaxEnUnPas;
  if(entreeDispo < transfertMaxEnUnPas) {
    entreePotentielle = entreeDispo;
  }
  float debordement = volumeCourant + entreePotentielle - contenance;
  float entreeReelle = entreePotentielle;
  if(debordement > 0.) {
    if(gMyVerif) printf("\n\tdebordement = %5.2f", debordement);
    entreeReelle = entreePotentielle - debordement;
  }
  if(gMyTrace) printf("  alim = %5.2f", entreeReelle);
  volumeCourant = volumeCourant + entreeReelle;
  pCuve->SetFloatVarValue(VOLUME_CONTENU, volumeCourant);
  if(gMyTrace) printf("  apres = %5.2f", volumeCourant);
  entreeDispo = entreeDispo - entreePotentielle;
  pCuve->SetFloatConstValue(ENTREE_DISPONIBLE, entreeDispo);
  //
  // s'il n'y a plus rien en entree, on stoppe le processus
  //
  if(entreeDispo < 0.0001)  // attention a la precision sur les reels
    pCP->ToBeStopped(TRUE);
};
