float volumeContenuCuve_whenSetFloat_Body(MonitorMethod* pM)
//---------------------------------------------
// remontee au-dessus seuil  maxi  -> fermeture robinet
// descente au-dessous  seuil  moyen -> ouverture robinet
//---------------------------------------------
{
  Descriptor* pVD = pM->GetDescriptorArgValue(MONITOREDDESCRIPTOR_ARGUMENT);
  float oldValue = pM->GetFloatArgValue(CURRENTFLOATVALUE_ARGUMENT);
  float newValue = pM->GetFloatArgValue(CANDIDATEFLOATVALUE_ARGUMENT);

  bool seuilMaxiAtteint = false;
  bool seuilMoyenAtteint = false;
  //
  // la cuve ...
  //
  Entity* laCuve = pVD->DescribedEntity();
  float niveauMaxi = laCuve->GetFloatConstValue(VOLUME_MAXI_CONTENU);
  if((oldValue <= niveauMaxi)
     &&
     (newValue > niveauMaxi)) {
    seuilMaxiAtteint = true;
    float volume = laCuve->GetFloatConstValue(VOLUME);
    if(newValue > volume)
      newValue = volume;
  }
  else if(newValue < 0.) {
      newValue = 0.;
    }
  else {
    float niveauMini = laCuve->GetFloatConstValue(VOLUME_MINI_CONTENU);
    float niveauMoyen = (niveauMaxi + niveauMini)/2.;
    if((oldValue >= niveauMoyen)
	&&
       (newValue < niveauMoyen)) {
      seuilMoyenAtteint = true;
    }
  }
  //
  // ... et son robinet d'alimentation 
  //
  Entity* leRobinetAlim;
  if(seuilMaxiAtteint) {
    leRobinetAlim = laCuve->GetComponent(ROBINET_ALIM);
    if(gMyTrace) 
      if(leRobinetAlim->GetIntVarValue(ETAT_OUVERTURE) == OUVERT) 
	printf("\nt = %d !!! FERMETURE ROBINET ALIM !!!", pCurrentSim->Clock());
    leRobinetAlim->SetIntVarValue(ETAT_OUVERTURE, FERME);
    //
    // on stoppe l'alimentation automatique
    //
    StopAlimAuto();
  }
  else if(seuilMoyenAtteint) {
    leRobinetAlim = laCuve->GetComponent(ROBINET_ALIM);
    if(gMyTrace) 
      if(leRobinetAlim->GetIntVarValue(ETAT_OUVERTURE) == FERME) 
	printf("\nt = %d !!! OUVERTURE ROBINET ALIM !!!", pCurrentSim->Clock());
    leRobinetAlim->SetIntVarValue(ETAT_OUVERTURE, OUVERT);
    //
    // on reprend l'alimentation automatique
    //
    StartAlimAuto(laCuve);
  }

  return newValue;
};
