bool stockerPack_stateTransitionProcedure_Body(EntityMethod* pM) {
//-----------------------------------------------------------------
//
//-----------------------------------------------------------------
  Operation* pOt = (Operation*)(pM->DescribedEntity());
  Entity* pConvoyeur = pM->GetEntityArgValue(OPERATION_TARGET);
  bool result = TRUE;
  // 
  // Captage du pack au rang 0
  //
  EntityTabConstantDescriptor* descPlateforme = 
    (EntityTabConstantDescriptor*)(pConvoyeur->GetConstantDescriptor(CONVOYEUR_PLATEFORME));
  BasicEntity* pPack = descPlateforme->GetValueElement(0);
  //
  // Recherche du lieu de stockage, fonction de la taille des briques
  //
  BasicEntity* pAtelier = pConvoyeur->GetSuperEntity();
  DescriptedEntity* pMagasin = (DescriptedEntity*)pAtelier->GetComponent(MAGASIN_EXPEDITION);
  DescriptedEntity* pUneBrique = (DescriptedEntity*)pPack->GetElement();
  int index = 0;
  if(pUneBrique->IsInstanceOf(MAXI_BRIQUE))
    index = 1;
  BasicEntity* pLoge = pMagasin->GetElement(index);
  //
  // Ajout du pack dans la loge ...
  //
  pLoge->AddElement(pPack);
  if(gMyTrace) printf("\nt = %d stockage '%s' ('%s') dans '%s'", 
                      pCurrentSim->Clock(),
                      pPack->InstanceName(),
                      ClassIdToCharTab[pUneBrique->ClassSymbol()],
                      pLoge->InstanceName());
  // ... et remplacement par position vide
  PositionVide* pPositionVide = new PositionVide();
  descPlateforme->SetValueElement(pPositionVide, 0);
  //
  // cumul de production dans une loge ou l'autre
  //
  float production;
  if(index == 0) {
    production = pMagasin->GetFloatVarValue(PRODUCTION_MINI);
    production += 3. * pUneBrique->GetFloatConstValue(VOLUME);
    pMagasin->SetFloatVarValue(PRODUCTION_MINI, production);
  }
  else {
    production = pMagasin->GetFloatVarValue(PRODUCTION_MAXI);
    production += 3. * pUneBrique->GetFloatConstValue(VOLUME);
    pMagasin->SetFloatVarValue(PRODUCTION_MAXI, production);
  }
  //
  // Tassement en tete et alimentation en queue
  //
  pConvoyeur->SetIntArgValue(TASSEMENT_CONVOYEUR, 
			     RANG, 1);//= premiere brique a decaler
  pConvoyeur->ExecVoidMethod(TASSEMENT_CONVOYEUR);
  // alimentation
  pConvoyeur->ExecEntityMethod(ALIMENTATION_CONVOYEUR);

  return result;
};
