int departOuvrier_defineNextEventClockTime_Body(EventMethod* pM)
//---------------------------------------------
// Si l'ouvrier est parti dejeuner, il reprend a heureDebutPM (e.g 14h)
// S'il est parti le soir, il reprend a heureDebutAM le lendemain (e.g. 8h)
//---------------------------------------------
{
  if(gMyTrace) printf("\n!!! t = %d ouvrier DEPART !!!", pCurrentSim->Clock());
  int arriveeClockTime;

  Event* pDepartEvent = pM->GetEventArgValue(PREVIOUS_EVENT_ARGUMENT); 
  int departClockTime = pDepartEvent->OccurrenceClockTime();

  Date departEventDate = ClockToDate(departClockTime);

  int heureDebutAM = GetIntParameterValue("POSTE", "heureDebutAM");
  int heureDebutPM = GetIntParameterValue("POSTE", "heureDebutPM");

  if(departEventDate.hour < heureDebutPM) {
    arriveeClockTime = 
      DateToClock(departEventDate.mday, 
		  departEventDate.month, 
		  departEventDate.year, 
		  heureDebutPM, 0, 0);    
  }
  else {
    int dureeJour = TimeIntervalToClockInterval(24*60*60);
    arriveeClockTime = 
      DateToClock(departEventDate.mday, 
		  departEventDate.month, 
		  departEventDate.year,  
		  heureDebutAM, 0, 0)
      +dureeJour;
  }
  return arriveeClockTime;
};
