void StopAlimAuto ()
//---------------------------------------------
// Description  : Stoppe l'alimentation automatique en cours et/ou programmee.
// Precondition : aucune
// Retour       : aucun
//---------------------------------------------
{
  //	
  // Si c'est l'evenement en cours qui gere l'alimentation automatique,
  // le processus est stoppe, mais l'evenement est immediatement regenere
  // a la date de la prochaine arrivee de jus de fruit en amont de la cuve
  // (cas du depassement du seuil maxi de la cuve).
  //	
  Event* popEvent = pCurrentSim->CurrentlyPoppedEvent();
  Process* popProcess = popEvent->FirstProcess();
  if(! strcmp(popProcess->ClassName(), "alimentationAutomatiqueProcess")) {
    ((ContinuousProcess*)popProcess)->ToBeStopped(TRUE);
  }
  //
  // Si un [autre] evenement dans l'agenda (autogenere ou continuation)
  // gere l'alimentation automatique, il est detruit
  // (cas de l'arret de la production).
  //
  pEventTab* eventsToDelete = new pEventTab();
  pCurrentSim->GoHeadInAgenda();
  while(pCurrentSim->IsCurrentInAgenda()) {
    Event* pEvt = pCurrentSim->GetCurrentInAgenda();
    Process* pP = pEvt->FirstProcess();
    if(! strcmp(pP->ClassName(), "alimentationAutomatiqueProcess")) {
      eventsToDelete->push_back(pEvt);
    }
    pCurrentSim->GoNextInAgenda();
  }
  int N = eventsToDelete->size();
  for(int k=0;k<N;k++) {
    Event* pEvtToStop = eventsToDelete->get_element(k);
    pCurrentSim->RemoveFromAgendaEvents(pEvtToStop);
    pEvtToStop->DeleteProcesses();
    pEvtToStop->DeleteInDepth();
  }
  delete eventsToDelete;
}
