BasicEntity* alimentationConvoyeur_Body(EntityMethod* pM)
//-------------------------------------------------------
// renvoie la brique generee et placee en derniere position
//-------------------------------------------------------
{
  Convoyeur* pE = (Convoyeur*)pM->DescribedEntity();
  Brique* pNouvelleBrique = NULL;
  //
  // generation de la nouvelle brique ...
  //
  GenerateurDeBriques* pGenBrq = 
    (GenerateurDeBriques*)pE->GetEntityConstValue(CONVOYEUR_GENERATEUR);

  // la probalilite de generer une petite brique
  float probaPetite = pGenBrq->GetFloatConstValue(PROBA_PETITE_BRIQUE);

  // tirage uniforme dans [0 99]
  int tirage = RandomInteger(100);

  if(((float)tirage)/100. < probaPetite)
    pNouvelleBrique = new MiniBrique();
  else
    pNouvelleBrique = new MaxiBrique();
  //
  // le descripteur a valeur 'plateforme' du convoyeur
  //
  EntityTabConstantDescriptor* descPlateforme = 
    (EntityTabConstantDescriptor*)(pE->GetConstantDescriptor(CONVOYEUR_PLATEFORME));
  //
  // on fait 'place vide' (desallocaton de la PositionVide surchargee)
  //
  int longueurConvoyeur = pE->GetIntConstValue(CONVOYEUR_LONGUEUR);
  BasicEntity* pPV = descPlateforme->GetValueElement(longueurConvoyeur-1);
  DeleteEntity(pPV);
  // 
  // ... et placement en queue du convoyeur
  //
  descPlateforme->SetValueElement(pNouvelleBrique, longueurConvoyeur-1);

  return pNouvelleBrique;
};
