void fluxEntreeCuveLectureProcess_initializeProcess_Body(ProcessMethod* pM)
//---------------------------------------------
// Definition de la fonction qui code l'initialisation 
// du processus continu de lecture d'un fichier sequentiel.
//---------------------------------------------
{
  ReadSequentialDataFileProcess* pCP = (ReadSequentialDataFileProcess*)(pM->DescribedContinuousProcess());

  UserFileId fileClassId = pCP->FileClassId();
  SequentialDataFile* pF = (SequentialDataFile*)App_NewSerialDataFileFromId(fileClassId);
  if(! pF)
    UnknownFileClassSymbol("SequentialDataFile", fileClassId);
  pCP->SetFile(pF);

  //-------------------------------------------
  // recuperation des specifications du fichier
  //-------------------------------------------
  pCP->SetNamesFromFile(pF);

  //-------------------------------------------
  // etablissement du chemin complet du fichier
  // a partir des specifications du fichier et du processus
  //-------------------------------------------
  pCP->AssignFullNameToFile(pF);

  //---------------------
  // ouverture du fichier
  //---------------------
  pF->Open();
  int n;     
  // n = pF->GetNbTopCommentLines(); ssi la simulation demarre a la date
  //                                 du premier enregistrement du fichier

  time_t timeDebFile = DateToAbsoluteTime(1, JAN, 2007, 0, 0, 0);
  time_t timeDebSim = pCurrentSim->AbsoluteBeginningTime();

  // timeDiff : nb de secondes entre 1er JAN 0h et DATE_DEBUT (.sim)
  time_t timeDiff = timeDebSim - timeDebFile;  

  // clockDiff : nb UT = nb de 'UNITE_TPS * NB_UNITE_TPS' = nb de '1 * MINUTE'
  int clockDiff = TimeIntervalToClockInterval(timeDiff);

  // la duree entre les "dates" de deux enregistrements successifs,
  // c'est la longueur du pas du processus ! D'ou le nb de lignes a sauter :
  int n0 = clockDiff / pCP->Step();

  // ... sans oublier les lignes d'entete
  n = n0 + pF->GetNbTopCommentLines();

  pF->Skip(n);
};
