BasicEntity* logeRebut_whenAddElement_Body(MonitorMethod* pM)

//---------------------------------------------
// Definition de la fonction qui sera declenchee lors de
// chaque modification de la structure d'un Monitor.
//---------------------------------------------
{
  BasicEntity* loge = pM->GetEntityArgValue(CURRENTENTITYCONTAINER_ARGUMENT);
  BasicEntity* packToAdd = pM->GetEntityArgValue(CANDIDATEENTITYELEMENT_ARGUMENT);
  DescriptedEntity* rebut = (DescriptedEntity*)loge->GetSuperSet();
  // ci-dessous : voir le commentaire du descripteur
  int lastProbaRaised = rebut->GetIntConstValue(DERNIERE_PROBA_AUGMENTEE);

  // par convention : petites briques en 0 grandes en 1
  int nbPetites = rebut->GetElement(0)->GetNumberOfElements();
  int nbGrandes = rebut->GetElement(1)->GetNumberOfElements();
	
  BasicEntity* lAtelier = rebut->GetSuperEntity();
  Entity* leConvoyeur = lAtelier->GetComponent(CONVOYEUR);
  Entity* generateurDeBriques = 
    leConvoyeur->GetEntityConstValue(CONVOYEUR_GENERATEUR);
  float probaPetite = 
    generateurDeBriques->GetFloatConstValue(PROBA_PETITE_BRIQUE);
  float oldProbaPetite = probaPetite;  // pour la trace si gMyVerif

  bool anyChange = FALSE;
  // ci-dessous : 
  // >= parce que le test est fait avant la mise au rebut
  // lastProbaRaised != 0 pour ne pas augmenter 2 fois de suite la proba
  //                      de generer une petite brique
  if((nbPetites >= gIntParam_REBUTPETITES_seuilMaxi_)
     &&
     (nbPetites >= nbGrandes*2)
     &&
     (lastProbaRaised != 0)) {
    //trop de petites au rebut -> on augmente la proba des petites
    probaPetite /= gRealParam_REBUT_coeffReducProba_;
    if(probaPetite > 1.) probaPetite = 1.0;
    generateurDeBriques->SetFloatConstValue(PROBA_PETITE_BRIQUE, probaPetite);
    rebut->SetIntConstValue(DERNIERE_PROBA_AUGMENTEE, 0);
    anyChange = TRUE;
  }
  else if((nbGrandes >= gIntParam_REBUTGRANDES_seuilMaxi_)
     &&
     (nbGrandes >= nbPetites*2)
     &&
     (lastProbaRaised != 1)) {
    //trop de grandes au rebut -> on diminue la proba des petites
    probaPetite *= gRealParam_REBUT_coeffReducProba_;
    generateurDeBriques->SetFloatConstValue(PROBA_PETITE_BRIQUE, probaPetite);
    rebut->SetIntConstValue(DERNIERE_PROBA_AUGMENTEE, 1);
    anyChange = TRUE;
  }
  if(gMyTrace && anyChange) {
    printf("\nproba alimentation : petite = %4.2f -> %4.2f / grande = %4.2f -> %4.2f", oldProbaPetite, probaPetite, 1.-oldProbaPetite, 1.-probaPetite);
  }
  return packToAdd; // sera ajoute comme element de la loge
};
